Package org.eclipse.mat.ui.internal.browser

## Class QueryHistory

- java.lang.Object
- - org.eclipse.mat.ui.internal.browser.QueryHistory

    public class QueryHistory
    extends java.lang.Object

### Constructor Summary

Constructors
`QueryHistory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addQuery​(java.lang.String queryString)`
`static java.util.List<java.lang.String>` `getHistoryEntries()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryHistory

    public QueryHistory()

### Method Detail

#### addQuery

    public static void addQuery​(java.lang.String queryString)

#### getHistoryEntries

    public static java.util.List<java.lang.String> getHistoryEntries()